### Class

# Gimp LoadProcedure

#### Description [src]

    class Gimp.LoadProcedure : Gimp.FileProcedure {
      parent_instance: GimpFileProcedure,
      priv: GimpLoadProcedurePrivate*
    }

A `GimpProcedure` subclass that makes it easier to write file load procedures.

It automatically adds the standard

( `GimpRunMode`, `GFile` )

arguments and the standard

( `GimpImage` )

return value of a load procedure. It is possible to add additional arguments.

When invoked via `gimp_procedure_run()`, it unpacks these standard arguments and calls `run_func` which is a `GimpRunImageFunc`. The “args” `GimpValueArray` of `GimpRunImageFunc` only contains additionally added arguments.

#### Ancestors

- GimpFileProcedure
- GimpProcedure
- GObject

#### Constructors

###### gimp_load_procedure_new

Creates a new load procedure named `name` which will call `run_func` when invoked.

unstable since: 3.0

#### Instance methods

###### gimp_load_procedure_get_handles_raw

Returns the procedure’s ‘handles raw’ flag as set with `gimp_load_procedure_set_handles_raw()`.

unstable since: 3.0

###### gimp_load_procedure_get_thumbnail_loader

Returns the procedure’s thumbnail loader procedure as set with `gimp_load_procedure_set_thumbnail_loader()`.

unstable since: 3.0

###### gimp_load_procedure_set_handles_raw

Registers a load procedure as capable of handling raw digital camera loads.

unstable since: 3.0

###### gimp_load_procedure_set_thumbnail_loader

Associates a thumbnail loader with a file load procedure.

unstable since: 3.0

##### Methods inherited from GimpFileProcedure (14)

###### gimp_file_procedure_get_extensions

Returns the procedure’s extensions as set with `gimp_file_procedure_set_extensions()`.

unstable since: 3.0

###### gimp_file_procedure_get_format_name

Returns the procedure’s format name, as set with `gimp_file_procedure_set_format_name()`.

unstable since: 3.0

###### gimp_file_procedure_get_handles_remote

Returns the procedure’s ‘handles remote’ flags as set with `gimp_file_procedure_set_handles_remote()`.

unstable since: 3.0

###### gimp_file_procedure_get_magics

Returns the procedure’s magics as set with `gimp_file_procedure_set_magics()`.

unstable since: 3.0

###### gimp_file_procedure_get_mime_types

Returns the procedure’s mime-type as set with `gimp_file_procedure_set_mime_types()`.

unstable since: 3.0

###### gimp_file_procedure_get_prefixes

Returns the procedure’s prefixes as set with `gimp_file_procedure_set_prefixes()`.

unstable since: 3.0

###### gimp_file_procedure_get_priority

Returns the procedure’s priority as set with `gimp_file_procedure_set_priority()`.

unstable since: 3.0

###### gimp_file_procedure_set_extensions

Registers the given list of extensions as something this procedure can handle.

unstable since: 3.0

###### gimp_file_procedure_set_format_name

Associates a format name with a file handler procedure.

unstable since: 3.0

###### gimp_file_procedure_set_handles_remote

Registers a file procedure as capable of handling arbitrary remote URIs via GIO.

unstable since: 3.0

###### gimp_file_procedure_set_magics

Registers the list of magic file information this procedure can handle.

unstable since: 3.0

###### gimp_file_procedure_set_mime_types

Associates MIME types with a file handler procedure.

unstable since: 3.0

###### gimp_file_procedure_set_prefixes

It should almost never be necessary to register prefixes with file procedures, because most sorts of URIs should be handled by GIO.

unstable since: 3.0

###### gimp_file_procedure_set_priority

Sets the priority of a file handler procedure.

unstable since: 3.0

##### Methods inherited from GimpProcedure (45)

Please see GimpProcedure for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpProcedure (3)

###### Gimp.Procedure:name

No description available.

###### Gimp.Procedure:plug-in

No description available.

###### Gimp.Procedure:procedure-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpLoadProcedureClass {
      GimpFileProcedureClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpFileProcedureClass`
  No description available.